Index: Makefile
===================================================================
RCS file: /cvs/ports/games/fna/Makefile,v
retrieving revision 1.3
diff -u -p -r1.3 Makefile
--- Makefile	23 Jan 2021 05:15:05 -0000	1.3
+++ Makefile	3 Feb 2021 20:33:29 -0000
@@ -4,6 +4,7 @@ V =		21.01
 COMMENT =	XNA4 reimplementation for open platforms
 DISTNAME =	fna-${V:S/.//g}
 PKGNAME =	fna-${V}
+REVISION =	0
 CATEGORIES =	games
 HOMEPAGE =	https://fna-xna.github.io/
 MAINTAINER =	Thomas Frohwein <thfr@openbsd.org>
Index: patches/patch-src_Color_cs
===================================================================
RCS file: patches/patch-src_Color_cs
diff -N patches/patch-src_Color_cs
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ patches/patch-src_Color_cs	3 Feb 2021 20:33:29 -0000
@@ -0,0 +1,46 @@
+$OpenBSD$
+
+work around Axiom Verge spec violation
+https://gist.github.com/flibitijibibo/ffdd7c6fe32b9846a83807dab24be8fd
+
+Index: src/Color.cs
+--- src/Color.cs.orig
++++ src/Color.cs
+@@ -1392,6 +1392,25 @@ namespace Microsoft.Xna.Framework
+ 			private set;
+ 		}
+ 
++		/* The following custom colors are to support Axiom Verge */
++		public static Color CustomRed
++		{
++			get;
++			private set;
++		}
++
++		public static Color CustomGreen
++		{
++			get;
++			private set;
++		}
++
++		public static Color CustomBlue
++		{
++			get;
++			private set;
++		}
++
+ 		#endregion
+ 
+ 		#region Internal Properties
+@@ -1422,6 +1441,11 @@ namespace Microsoft.Xna.Framework
+ 
+ 		static Color()
+ 		{
++			/* The following custom colors are for support for Axiom Verge */
++			CustomRed = new Color(255, 141, 160);
++			CustomGreen = new Color(144, 238, 144);
++			CustomBlue = new Color(113, 231, 255);
++
+ 			Transparent = new Color(0);
+ 			AliceBlue = new Color(0xfffff8f0);
+ 			AntiqueWhite = new Color(0xffd7ebfa);
Index: patches/patch-src_GraphicsDeviceManager_cs
===================================================================
RCS file: patches/patch-src_GraphicsDeviceManager_cs
diff -N patches/patch-src_GraphicsDeviceManager_cs
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ patches/patch-src_GraphicsDeviceManager_cs	3 Feb 2021 20:33:29 -0000
@@ -0,0 +1,21 @@
+$OpenBSD$
+
+work around Axiom Verge spec violation
+https://gist.github.com/flibitijibibo/ffdd7c6fe32b9846a83807dab24be8fd
+
+Index: src/GraphicsDeviceManager.cs
+--- src/GraphicsDeviceManager.cs.orig
++++ src/GraphicsDeviceManager.cs
+@@ -30,6 +30,12 @@ namespace Microsoft.Xna.Framework
+ 		{
+ 			get
+ 			{
++				/* work around Axiom Verge spec violation */
++				if (graphicsDevice == null)
++				{
++					(this as IGraphicsDeviceManager).CreateDevice();
++				}
++
+ 				return graphicsDevice;
+ 			}
+ 		}
